# Trading for Takers

### NewOrderSingle\<D>: <mark style="background-color:green;">Order filled</mark>

<table><thead><tr><th width="85">Msg Num</th><th>Message</th><th width="137" align="center">ExecType&#x3C;150></th><th width="153">OrdStatus&#x3C;39></th><th width="149">OrderQty&#x3C;38></th><th width="154">LeavesQty&#x3C;151></th><th width="162">Description</th></tr></thead><tbody><tr><td>1</td><td>NewOrderSingle&#x3C;D></td><td align="center">-</td><td>-</td><td>0.2</td><td>-</td><td>Taker sends an order</td></tr><tr><td>2</td><td>ExecutionReport&#x3C;8></td><td align="center">0(New)</td><td>0(New)</td><td>0.2</td><td>0.2</td><td>Order accepted</td></tr><tr><td>3</td><td>ExecutionReport&#x3C;8></td><td align="center">F(Trade)</td><td>1(Partially filled)</td><td>0.2</td><td>0.1</td><td>First trade, partial fill</td></tr><tr><td>4</td><td>ExecutionReport&#x3C;8></td><td align="center">F(Trade)</td><td>2(Filled)</td><td>0.2</td><td>0</td><td>Second trade, order filled. Order processing finished. </td></tr></tbody></table>

<details>

<summary>Examples of the messages</summary>

<pre data-overflow="wrap" data-line-numbers><code>8=FIX.4.4|9=167|35=D|34=2|49=&#x3C;api_key>|52=20240508-13:18:36.167|56=FINERYMARKETS|11=2|38=20000000|40=1|54=2|55=BTC-USD|59=4|60=20240508-13:18:35.981|10=097|
8=FIX.4.4|9=171|35=8|34=2|49=FINERYMARKETS|52=20240508-13:18:36.218|56=&#x3C;api_key>|11=2|17=3|37=3|38=20000000|39=0|44=0|54=2|55=BTC-USD|150=0|151=20000000|10=122|
8=FIX.4.4|9=248|35=8|34=3|49=FINERYMARKETS|52=20240508-13:18:36.218|56=&#x3C;api_key>|11=2|17=1|31=300000000000|32=10000000|37=3|38=20000000|39=1|44=0|54=2|55=BTC-USD|60=20240508-13:18:36.218|136=1|137=0|139=8|150=F|151=10000000|958=1|10=176|
<strong>8=FIX.4.4|9=241|35=8|34=4|49=FINERYMARKETS|52=20240508-13:18:36.218|56=&#x3C;api_key>|11=2|17=2|31=300000000000|32=10000000|37=3|38=20000000|39=2|44=0|54=2|55=BTC-USD|60=20240508-13:18:36.218|136=1|137=0|139=8|150=F|151=0|958=1|10=091|
</strong></code></pre>

</details>

### NewOrderSingle\<D>: <mark style="background-color:orange;">Order was partially filled</mark>

<table><thead><tr><th width="125">Msg Num</th><th width="112">Message</th><th width="149">ExecType&#x3C;150></th><th width="158">OrdStatus&#x3C;39></th><th width="136">OrderQty&#x3C;38></th><th width="154">LeavesQty&#x3C;151></th><th width="133">Description</th></tr></thead><tbody><tr><td>1</td><td>NewOrderSingle&#x3C;D></td><td>-</td><td>-</td><td>0.2</td><td>-</td><td>The taker sends the order</td></tr><tr><td>2</td><td>ExecutionReport&#x3C;8></td><td>0(New)</td><td>0(New)</td><td>0.2</td><td>0.2</td><td>The Order accepted</td></tr><tr><td>3</td><td>ExecutionReport&#x3C;8></td><td>F(Trade)</td><td>1(Partially filled)</td><td>0.2</td><td>0.1</td><td>Trade happened, order was partially filled</td></tr><tr><td>4</td><td>ExecutionReport&#x3C;8></td><td>4(Cancel)</td><td>4(Cancelled)</td><td>0.2</td><td>0.1</td><td>Remaining part of the order cancelled. Order processing finished</td></tr></tbody></table>

<details>

<summary>Example of the messages</summary>

{% code overflow="wrap" lineNumbers="true" %}

```
8=FIX.4.4|9=167|35=D|34=2|49=<api_key>|52=20240508-13:50:31.915|56=FINERYMARKETS|11=2|38=20000000|40=1|54=2|55=BTC-USD|59=3|60=20240508-13:50:31.695|10=075|
8=FIX.4.4|9=171|35=8|34=2|49=FINERYMARKETS|52=20240508-13:50:31.966|56=<api_key>|11=2|17=2|37=2|38=20000000|39=0|44=0|54=2|55=BTC-USD|150=0|151=20000000|10=114|
8=FIX.4.4|9=248|35=8|34=3|49=FINERYMARKETS|52=20240508-13:50:31.967|56=<api_key>|11=2|17=1|31=300000000000|32=10000000|37=2|38=20000000|39=1|44=0|54=2|55=BTC-USD|60=20240508-13:50:31.966|136=1|137=0|139=8|150=F|151=10000000|958=1|10=171|
8=FIX.4.4|9=171|35=8|34=4|49=FINERYMARKETS|52=20240508-13:50:31.967|56=<api_key>|11=2|17=2|37=2|38=20000000|39=4|44=0|54=2|55=BTC-USD|150=4|151=10000000|10=124|
```

{% endcode %}

</details>

### NewOrderSingle\<D>: <mark style="background-color:red;">Order was rejected</mark>

<table><thead><tr><th width="129">Msg Num</th><th width="156">Message</th><th width="153">ExecType&#x3C;150></th><th width="148">OrdStatus&#x3C;39></th><th width="141">OrderQty&#x3C;38></th><th width="162">LeavesQty&#x3C;151></th><th width="127">Description</th></tr></thead><tbody><tr><td>1</td><td>NewOrderSingle&#x3C;D></td><td>-</td><td>-</td><td>0.1</td><td>-</td><td>Taker sends an order</td></tr><tr><td>2</td><td>ExecutionReport&#x3C;8></td><td>8(Rejected)</td><td>8(Rejected)</td><td>0.1</td><td>0</td><td>Order rejected with FM error code 77, provided in the Text&#x3C;58></td></tr></tbody></table>

<details>

<summary>Examples of the messages</summary>

{% code overflow="wrap" lineNumbers="true" %}

```
8=FIX.4.4|9=183|35=D|34=2|49=<api_key>|52=20240508-14:06:38.019|56=FINERYMARKETS|11=2|38=10000000|40=2|44=310000000000|54=2|55=BTC-USD|59=4|60=20240508-14:06:37.769|10=237|
8=FIX.4.4|9=183|35=8|34=2|49=FINERYMARKETS|52=20240508-14:06:38.071|56=<api_key>|11=2|37=0|38=10000000|39=8|44=310000000000|54=2|55=BTC-USD|58=error: 77|150=8|151=0|10=176|
```

{% endcode %}

</details>

### NewOrderSingle\<D>: <mark style="background-color:green;">Order filled with QS only enabled</mark>

<table><thead><tr><th width="85">Msg Num</th><th>Message</th><th width="137" align="center">ExecType&#x3C;150></th><th width="153">OrdStatus&#x3C;39></th><th width="162">Description</th></tr></thead><tbody><tr><td>1</td><td>NewOrderSingle&#x3C;D></td><td align="center">-</td><td>-</td><td>Taker sends an order with makers list provided</td></tr><tr><td>2</td><td>ExecutionReport&#x3C;8></td><td align="center">0(New)</td><td>0(New)</td><td>Order accepted</td></tr><tr><td>3</td><td>ExecutionReport&#x3C;8></td><td align="center">F(Trade)</td><td>2(Filled)</td><td>Trade has happened, order filled. LiquiditySource&#x3C;20005> == 2, meaning QS liquidity source. Order processing finished. </td></tr></tbody></table>

<details>

<summary>Examples of the messages</summary>

{% code overflow="wrap" lineNumbers="true" %}

```
8=FIX.4.4|9=218|35=D|34=2|49=<api_key>|52=20250527-08:02:57.738|56=FINERYMARKETS|11=116388|38=100000000|40=2|44=100000000|54=1|55=BTC-USD|59=4|60=20250527-08:02:57.361|20001=2|20002=1|20002=5|20006=Y|10=149
8=FIX.4.4|9=222|35=8|34=2|49=FINERYMARKETS|52=20250527-08:02:58.240|56=<api_key>|11=116388|17=1927274312251740160|37=1927274312251740160|38=100000000|39=0|44=100000000|54=1|55=BTC-USD|150=0|151=100000000|10=129
8=FIX.4.4|9=279|35=8|34=3|49=FINERYMARKETS|52=20250527-08:02:58.240|56=<api_key>|11=116388|17=1|31=100000000|32=100000000|37=1927274312251740160|38=100000000|39=2|44=100000000|54=1|55=BTC-USD|60=20250527-08:02:58.238|136=1|137=0|139=8|150=F|151=0|958=5|20005=2|10=176
```

{% endcode %}

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/fix-api/trade/trading-for-takers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
